# Kiteworks API — languages Operations

**2 endpoints** | [Browse interactive reference](https://developer.kiteworks.com/api-reference/languages.html) | [Download spec slice](https://developer.kiteworks.com/assets/specs/languages.json)

> **Authentication required.** All requests must include a Bearer access token in the
> `Authorization` header. See [Authentication](https://developer.kiteworks.com/authentication.md) for how to
> obtain a token using OAuth 2.0 Authorization Code (PKCE) or JWT Bearer flow.

---

## GET /rest/languages

**Summary:** List languages

Returns a list of available languages.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `name` | query | no | Language name |
| `name:contains` | query | no | Language name. Search for results that contain the specified characters in this parameter. |
| `symbol` | query | no | Language symbol |
| `orderBy` | query | no | Sorting options |
| `mode` | query | no | Determines the detail level of the response body. |

**Responses:**

| Code | Description |
|------|-------------|
| 200 | List of languages retrieved successfully. |
| 490 | Request blocked by WAF |

**Response Examples:**

**200 (LanguageList):**

```json
{
  "data": [
    {
      "id": 1,
      "name": "English",
      "symbol": "en"
    },
    {
      "id": 2,
      "name": "French",
      "symbol": "fr"
    }
  ]
}
```

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/languages" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

url = "https://{instance}.kiteworks.com/rest/languages"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---

## GET /rest/languages/{id}

**Summary:** Get a language

Returns the details of a specified language, including its name and symbol.

**Parameters:**

| Name | In | Required | Description |
|------|----|----------|-------------|
| `id` | path | yes | ID of the language to be retrieved |

**Responses:**

| Code | Description |
|------|-------------|
| 200 | Language details retrieved successfully. |
| 490 | Request blocked by WAF |

**Response Examples:**

**200 (LanguageInfo):**

```json
{
  "id": 1,
  "name": "English",
  "symbol": "en"
}
```

**Code Samples:**

**cURL:**

```shell
curl -X GET \
  "https://{instance}.kiteworks.com/rest/languages/:id" \
  -H "Authorization: Bearer YOUR_TOKEN"
```

**Python:**

```python
import requests

id = "VALUE"  # ID of the language to be retrieved

url = f"https://{{instance}}.kiteworks.com/rest/languages/{id}"
headers = {
    "Authorization": "Bearer YOUR_TOKEN",
}
response = requests.get(url, headers=headers)
print(response.json())
```

---
